summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xinstall.sh15
1 files changed, 11 insertions, 4 deletions
diff --git a/install.sh b/install.sh
index b64693b..ae9cdac 100755
--- a/install.sh
+++ b/install.sh
@@ -1,6 +1,13 @@
#!/bin/sh
-which nvim >/dev/null 2>&1 || (echo "Neovim not installed!" && exit 1)
-which luarocks >/dev/null 2>&1 || (echo "Luarocks not installed!" && exit 1)
-luarocks list | grep "fennel" >/dev/null 2>&1 || (echo "fennel is not installed" && exit 1)
-nvim --headless +qa && nvim --headless -c "autocmd User PackerComplete quitall"
+# Check dependencies
+which nvim >/dev/null 2>&1 ||
+(echo "Neovim not installed!" && exit 1)
+which luarocks >/dev/null 2>&1 ||
+(echo "Luarocks not installed!" && exit 1)
+luarocks list | grep "fennel" >/dev/null 2>&1 ||
+(echo "fennel is not installed" && exit 1)
+
+# Bootstrap installment
+nvim --headless +qa &&
+nvim --headless -c "autocmd User PackerComplete quitall"